package registry

import (
	"git.loafle.net/commons/rpc-go/protocol"
)

type RPCInvoker interface {
	HasMethod(method string) bool
	Invoke(codec protocol.RegistryCodec, leadingParams ...interface{}) (result interface{}, err error)
}
