package client

func newError(method string, params []interface{}, err error) *Error {
	return &Error{
		Method: method,
		Params: params,
		Err:    err,
	}
}

type Error struct {
	Method string
	Params []interface{}

	Err error
}

func (e *Error) Error() string {
	if nil == e.Err {
		return ""
	}
	return e.Err.Error()
}
